[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [Subclipse-dev] Re: Subclipse: feature.xml requires imports

From: Mark Phippard <markp_at_softlanding.com>
Date: 2006-06-15 21:16:21 CEST

> forwarded to dev@subclipse.tigris.org
> > Dear Cedric Chabanois,
> >
> > I am member of a team that is currently working on the so called Yoxos
> > distribution of Eclipse plugins. Yoxos contains all plugins from
> > eclipse.org
> > plus a list of carefully selected 3rd party plugins. If you are
> > interested
> > in more details, see www.yoxos.com.
> >
> > We liked your plugin very much and have it included in Yoxos.
> >
> > Right now we are preparing for the next Yoxos release, scheduled for
end
> > of June. Yoxos 2.1.0 will be released together with Eclipse 3.2 /
> > Callisto.
> > Yoxos is the only distribution that offers a chance to distribute 3rd
> > party
> > plugins as part of the expected Callisto download rush.
> >
> > As part of our standard procedure, we conduct intensive testing, both
> > automatic and manual, to ensure the overall consistency of the Yoxos
> > distribution. While testing the Subclipse plugin, we noticed that the
> > feature.xml is missing a required statements, namely
> >
> > the feature.xml requires
> >
> > <import plugin="org.eclipse.ui.console"/>
> > <import plugin="org.eclipse.help"/>
> >
> > We would like to share this with you in order to contribute to the
> > improvement of your plugin. We are able to resolve these issues
> > for now, but it would be very kind and useful if you could
> > correct this in future versions of your plugin.
> >
> > If you have any questions or remarks, don't hesitate contacting me.

Please use our dev@ mailing list to correspond with us.

If you are going to include Subclipse, I'd recommend including the 1.1.x
release line as it has a lot of nice Eclipse 3.2-specific enhancements and
is the focus for development.

I will add those items to our feature.xml, but I generally left out the
ones that I feel you can take for granted. For example the help plugin is
required by several of the ones that we already require. That being said,
I do not think we have any current dependencies that require the console,
so we should definitely list that one.

Mark

_____________________________________________________________________________
Scanned for SoftLanding Systems, Inc. and SoftLanding Europe Plc by IBM Email Security Management Services powered by MessageLabs.
_____________________________________________________________________________

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subclipse.tigris.org
For additional commands, e-mail: dev-help@subclipse.tigris.org
Received on Thu Jun 15 21:16:29 2006

This is an archived mail posted to the Subclipse Dev mailing list.